Skip to main content
PATCH
/
app-event-types
/
{id}
Patch app event type
curl --request PATCH \
  --url https://api.getmembrane.com/app-event-types/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "meta": {},
  "key": "<string>",
  "uuid": "<string>",
  "description": "<string>",
  "schema": {},
  "example": {},
  "tenantIdFormula": {},
  "userIdFormula": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "revision": "<string>",
  "webhookKey": "<string>",
  "globalWebhookUri": "<string>",
  "uuid": "<string>",
  "key": "<string>",
  "description": "<string>",
  "meta": {},
  "state": "BUILDING",
  "errors": [
    {
      "message": "<string>",
      "type": "bad_request",
      "key": "<string>",
      "data": {},
      "stack": {},
      "causedByError": "<unknown>",
      "logs": [
        {}
      ]
    }
  ],
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "archivedAt": "<string>",
  "isDeactivated": true,
  "isReadOnly": true,
  "subscribeRequest": {
    "uri": {},
    "method": "<string>",
    "headers": {},
    "query": {},
    "body": {}
  },
  "example": {},
  "schema": {
    "type": "<string>",
    "title": "<string>",
    "description": "<string>",
    "format": "<string>",
    "properties": {},
    "items": "<unknown>",
    "additionalProperties": true,
    "enum": [
      "<string>"
    ],
    "referenceRecords": [
      {}
    ],
    "referenceCollection": {
      "key": {},
      "parameters": {}
    },
    "referenceUdm": "<string>",
    "default": {},
    "allowCustom": true,
    "required": [
      "<string>"
    ],
    "minLength": 123,
    "maxLength": 123,
    "minimum": 123,
    "maximum": 123,
    "maxItems": 123,
    "readOnly": true,
    "writeOnly": true,
    "examples": [
      {}
    ],
    "anyOf": "<array>",
    "isImplied": true,
    "isSensitive": true,
    "referenceCollectionPath": "<string>",
    "referenceCollectionUri": "<string>"
  },
  "tenantIdFormula": {},
  "userIdFormula": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
meta
object
key
string
uuid
string
description
string
schema
object
example
object
tenantIdFormula
object
userIdFormula
object
subscribeRequest
object

Response

200 - application/json
id
string
required

Internal database ID of the element. Assigned by the API; unique per element.

name
string
required

Display name. Always present in API responses (filled by API if not set on create).

revision
string
required
webhookKey
string
required
globalWebhookUri
string
required
uuid
string

Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.

key
string

Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.

description
string

Optional human-readable description.

meta
object

Optional key-value metadata.

state
enum<string>

Current lifecycle or health state (e.g. READY, SETUP_FAILED, CONFIGURATION_ERROR, BUILDING). Set by the engine during setup and validation.

Available options:
BUILDING,
CLIENT_ACTION_REQUIRED,
CONFIGURATION_ERROR,
SETUP_FAILED,
READY,
DISCONNECTING
errors
object[]

Validation or setup errors when state is not READY.

createdAt
string

ISO date when the element was created.

updatedAt
string

ISO date when the element was last updated.

archivedAt
string
isDeactivated
boolean

When true, setup is skipped and the element is treated as inactive (e.g. when dependencies are deactivated or the element is archived).

isReadOnly
boolean

When true, the element cannot be modified (e.g. published package elements or elements from another workspace).

subscribeRequest
object
example
object
schema
object
tenantIdFormula
object
userIdFormula
object